Subject: Notification: incoming/1560

From: [email-masked]
Date: Mon, 17 Jan 2005 05:11:35 -0600 (CST)

FVWM Bug Tracking notification

new message incoming/1560

Message summary for PR#1560
	From: Trilobit <[email-masked]>
	Subject: Re fvwm: Fullscreen should not require EWMHUseStackingOrderHints
	Date: Mon, 17 Jan 2005 12:10:10  0100
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Mon Jan 17 05:11:14 2005
Date: Mon, 17 Jan 2005 12:10:10 +0100
From: Trilobit <[email-masked]>
To: [email-masked]
Subject: Re fvwm: Fullscreen should not require EWMHUseStackingOrderHints
 style

On Tue, 26 Oct 2004 13:26:38 -0500, Manoj Srivastava wrote:

> Fvwm2 seems to have some trouble with the EWMH fullscreen mode.
>
> My configuration includes a stay-on-top FvwmPager.  When putting EWMH
> compliant applications, such as tvtime, the pager is not obscured by
> the fullscreen window, so I get a TV window with a pager floating on
> top, which is less than desirable.
>
> The bug can also be reproduced with the fullscreen modes in Mozilla
> Firefox and OpenOffice.org, but I have not tested using this
> extensively as I have with tvtime.
>
> The bug can be worked around by setting:
>
> Style *           EWMHUseStackingOrderHints
>
> in the .fvwm2rc file.

I got the same problem with fvwm 2.5.8, also Debian Linux.
It seems windows which have the style StaysOnTop 
(which are, according to the docu, put to Layer 6) are covered by
fullscreen apps when EWMHUseStackingOrderHints is set. But if
the window has, via style, put to Layer 7, this workaround don't 
work anymore. 
I don't care because Layer 6 (StaysOnTop) satisfies me. I just mention it,
because I was startled first why this workaround, doesn't seems to
work, until I tried the style "StaysOnTop" instead of "Layer 7". :-)

Regards Mario

PS: I hope this mail goes to the thread I intend ;-)
http://www.hpc.uh.edu/fvwm/archive/0410/msg00199.html

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]